import { StiBorder } from "../properties/StiBorder";
import { StiUsedFontsList } from "../services/objects";
import { Font } from "../system/Font";
import { StiLabel, StiDescription } from "../system/interfaces";
import StiJson from "../system/StiJson";
import { StiFormElement } from "./base/StiFormElement";
import { StiTextItem } from "./text/StiTextItem";
export declare class StiImageElement extends StiFormElement implements StiLabel, StiDescription {
    type: string;
    tooltip: string;
    font: Font;
    description: StiTextItem;
    canvasHeight: number;
    border: StiBorder;
    showBorderEditor: boolean;
    image: any;
    preserveAspectRatio: boolean;
    hyperlink: string;
    constructor();
    canUpdateProperty(propName: string): boolean;
    getUsedFonts(usedFonts: StiUsedFontsList): void;
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
}
